Subject: Re: [PATCH] [POWERPC] Add AMCC Glacier 460GT eval board dts

From: Segher Boessenkool <[email-masked]>
Date: Fri, 21 Mar 2008 12:46:01 +0100

> As for the DTS, maybe a "compatible" property in the CPU might make 
> some
> sense with a content along the lines of "ppc440x6" or whatever rev of
> the 440 core it is.

Good idea, but please _also_ put the exact name in there, first; so
something like

	compatible = "AMCC,PowerPC,460GT", "AMCC,ppc440x6";

That way, you can still probe for specific versions where necessary.
This is completely in line with the "generic naming" recommended
practice; the PowerPC binding predates that RP, it really needs to
be updated.

Any reason we keep the device_type here, btw?

Segher